ArgException.h File Reference
`#include <string>`
`#include <exception>`
Include dependency graph for ArgException.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | TCLAP::ArgException
| A simple class that defines and argument exception. More...
class | TCLAP::ArgParseException
| Thrown from within the child Arg classes when it fails to properly parse the argument it has been passed. More...
class | TCLAP::CmdLineParseException
| Thrown from CmdLine when the arguments on the command line are not properly specified, e.g. More...
class | TCLAP::SpecificationException
| Thrown from Arg and CmdLine when an Arg is improperly specified, e.g. More...
class | TCLAP::ExitException
| Thrown when TCLAP thinks the program should exit. More...

## Namespaces

| TCLAP